curl --request GET 'https://api.mayar.id/credit/v2/credit/customer/paginate-credit-history/a1b2c3d4-e5f6-4789-a012-3456789abcde?productId=7c9d2e1f-4a5b-4c6d-8e9f-0a1b2c3d4e5f&page=1&limit=10' \
--header 'Authorization: Bearer Paste-Your-API-Key-Here'
{
"statusCode": 200,
"messages": "success",
"data": [
{
"id": "f1e2d3c4-b5a6-4789-9012-3456789abcdef",
"datetime": "2026-06-20T09:10:57.994Z",
"type": "CREDIT_USAGE",
"amount": 10000,
"balanceBefore": 60000,
"balanceAfter": 50000,
"walletType": "MAIN",
"description": "Credit usage for product order",
"customerId": "a1b2c3d4-e5f6-4789-a012-3456789abcde",
"productId": "7c9d2e1f-4a5b-4c6d-8e9f-0a1b2c3d4e5f"
},
{
"id": "a1b2c3d4-e5f6-4789-9012-3456789abcdef",
"datetime": "2026-06-19T15:30:00.000Z",
"type": "MERCHANT_TOPUP",
"amount": 50000,
"balanceBefore": 10000,
"balanceAfter": 60000,
"walletType": "ADD_ON",
"description": "Merchant top-up",
"customerId": "a1b2c3d4-e5f6-4789-a012-3456789abcde",
"productId": "7c9d2e1f-4a5b-4c6d-8e9f-0a1b2c3d4e5f"
}
],
"metadata": {
"page": 1,
"limit": 10,
"totalPages": 1,
"totalData": 2
}
}
Credit (Membership / Usage)
Paginate Customer Credit History
Endpoint to retrieve paginated credit transaction history for a customer.
Was this page helpful?
